phing-tasks-ext-phpdoc

# Class: PhingPhpDocumentorSetup Source Location: /tasks/ext/phpdoc/PhingPhpDocumentorSetup.php
### Class Overview
    phpDocumentor_setup
       |
       --PhingPhpDocumentorSetup
Phing subclass of the phpDocumentor_setup class provided with PhpDocumentor to work around limitations in PhpDocumentor API. #### Author(s): Hans Lellelid <hans@xmpl.org>@author hans #### Version: $Id: PhingPhpDocumentorSetup.php 552 2009-08-29 12:18:13Z mrook $ | ### Methods __construct setCustomtags setDefaultCategoryName setDefaultPackageName setExamplesDir setGenerateSourcecode setIgnoreTags setPear setQuietMode setRicFiles setUndocumentedelements
### Class Details [line 34] Phing subclass of the phpDocumentor_setup class provided with PhpDocumentor to work around limitations in PhpDocumentor API. This class is necessary because phpDocumentor_setup does not expose a complete API for setting configuration options. Because this class must directly modify some "private" GLOBAL(!) configuration variables, it is liable to break if the PhpDocumentor internal implementation changes. Obviously this is far from ideal, but there's also no solution given the inflexibility of the PhpDocumentor design. #### Tags:
author: | Hans Lellelid <hans@xmpl.org>@author hans
version: | $Id: PhingPhpDocumentorSetup.php 552 2009-08-29 12:18:13Z mrook $
[ Top ] ### Class Methods ### constructor __construct [line 41]
`PhingPhpDocumentorSetup __construct( [ $configdir = null], string $configDir)`
Constructs a new PhingPhpDocumentorSetup. #### Tags:
access: | public
#### Parameters:
string | $configDir | Directory in which to look for configuration files.
| $configdir |
[ Top ] ### method setCustomtags [line 206]
`void setCustomtags( string $sCustomtags)`
custom tags, will be recognized and put in tags[] instead of unknowntags[] This method exists as a hack because the API exposed for this method in PhpDocumentor doesn't work correctly. Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes. #### Tags:
access: | public
#### Parameters:
string | $sCustomtags |
[ Top ] ### method setDefaultCategoryName [line 163]
`void setDefaultCategoryName( string $name)`
Sets the default category name. This method exists as a hack because there is no API exposed for this in PhpDocumentor. Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes. #### Tags:
access: | public
#### Parameters:
string | $name |
[ Top ] ### method setDefaultPackageName [line 150]
`void setDefaultPackageName( string $name)`
Sets the default package name. This method exists as a hack because there is no API exposed for this in PhpDocumentor. Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes. #### Tags:
access: | public
#### Parameters:
string | $name |
[ Top ] ### method setExamplesDir [line 136]
`void setExamplesDir( string $dir)`
Set fullpath to directory to look in for examples. This method exists as a hack because there is no API exposed for this in PhpDocumentor. Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes. #### Tags:
access: | public
#### Parameters:
string | $dir |
[ Top ] ### method setGenerateSourcecode [line 73]
`void setGenerateSourcecode( bool $b)`
Set whether to generate sourcecode for each file parsed. This method exists as a hack because there is no API exposed for this in PhpDocumentor. Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes. #### Tags:
access: | public
#### Parameters:
bool | $b |
[ Top ] ### method setIgnoreTags [line 101]
`void setIgnoreTags( string $tags)`
Set comma-separated list of tags to ignore. This method exists as a hack because there is no API exposed for this in PhpDocumentor. Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes. #### Tags:
access: | public
#### Parameters:
string | $tags |
[ Top ] ### method setPear [line 122]
`void setPear( bool $b)`
Set whether to parse dirs as PEAR repos. This method exists as a hack because there is no API exposed for this in PhpDocumentor. Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes. #### Tags:
access: | public
#### Parameters:
bool | $b |
[ Top ] ### method setQuietMode [line 177]
`void setQuietMode( )`
Enables quiet mode. This method exists as a hack because the API exposed for this method in PhpDocumentor doesn't work correctly. Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes. #### Tags:
access: | public
[ Top ] ### method setRicFiles [line 87]
`void setRicFiles( array $files)`
Set an array of README/INSTALL/CHANGELOG file paths. This method exists as a hack because there is no API exposed for this in PhpDocumentor. Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes. #### Tags:
access: | public
#### Parameters:
array | $files | Absolute paths to files.
[ Top ] ### method setUndocumentedelements [line 190]
`void setUndocumentedelements( bool $bEnable)`
Control whether or not warnings will be shown for undocumented elements. Useful for identifying classes and methods that haven't yet been documented. #### Tags:
access: | public
#### Parameters:
bool | $bEnable |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:35 +0200 by phpDocumentor 1.4.3